Page MenuHomePhabricator

Document things like entity-reference-extractor-callback for entity type definitions on doc.wikimedia.org for wikibase
Closed, ResolvedPublic

Description

https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_extending-entities.html exists but it old and outdated and could do with more info.

For example definitions of the ways to define custom bits of entiities with links etc.

I recently found myself touching something to do with entity-reference-extractor-callback and had to do lots of digging before it was clear what it was doing / what I needed to consider.

Many of these plugable services an configs exist in an entity definition in Wikibase.
They should all be nicely documented on the docs site

Event Timeline

Addshore created this task.Jan 23 2020, 2:52 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 23 2020, 2:52 PM
Addshore moved this task from incoming to ready to go on the Wikidata board.Jan 24 2020, 3:24 PM
Addshore triaged this task as Low priority.Jan 27 2020, 10:34 AM
Addshore updated the task description. (Show Details)
Addshore moved this task from Needs Work to Ready to pick up on the Wikidata-Campsite board.

Change 571269 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Document callback functions for entity type definitions on doc.wikimedia.org

https://gerrit.wikimedia.org/r/571269

Change 571269 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Document callback functions for entity type definitions on doc.wikimedia.org

https://gerrit.wikimedia.org/r/571269

Addshore added a comment.EditedFeb 17 2020, 8:22 AM

I wonder if we could come up with some test to ensure that this documentation is always kept up to date / new keys always get added there.

WMDE-leszek closed this task as Resolved.Feb 17 2020, 9:20 AM
WMDE-leszek added a subscriber: WMDE-leszek.

Wanna create a task for looking into this topic @Addshore?
this very task seems done.

Addshore reopened this task as Open.Feb 17 2020, 9:46 AM

I just noticed that https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_extending-entities.html which is talked about in the task description is still online and still outdated.
Perhaps this should just be removed as https://doc.wikimedia.org/Wikibase/master/php/md_docs_topics_entitytypes.html seems to cover basically everything?

Change 572655 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove outdated extendingEntity.md

https://gerrit.wikimedia.org/r/572655

Change 572655 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove outdated extendingEntity.md

https://gerrit.wikimedia.org/r/572655

Addshore closed this task as Resolved.Feb 18 2020, 10:33 AM